<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>S05: HTML Forms and Tables</title>
</head>
<body>

	<h2>HTML Entities</h2>

	<p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML Codes).</em></p>

	<!-- Defines an HTML Table -->
	<!--start of table elements -->
	<table border="1">
		<!-- Defines a table row -->
		<thead>
			<tr>
				<!-- Defines a table header element/value/data/-->
				<th colspan="2">Entity</th>
				<th>Description</th>
			</tr>
		</thead>

		<!-- Used to group body contents -->
		<tbody>
			<tr>
				<td>&lt;</td>
				<td>lt</td>
				<td>less than</td>
			</tr>
			<tr>
				<td>&gt;</td>
				<td>gt</td>
				<td>greater than</td>
			</tr>
			<tr>
				<td>&#8369;</td>
				<td>#8369</td>
				<td>peso sign</td>
			</tr>
			<tr>
				<td>&amp;</td>
				<td>amp</td>
				<td>ampersand</td>
			</tr>

			<tr>
				<td>&quot;</td>
				<td>quot</td>
				<td>double quotation mark</td>
			</tr>

			<tr>
				<td>&apos;</td>
				<td>apos</td>
				<td>single quotation mark</td>
			</tr>

			<tr>
				<td>&ntilde;</td>
				<td>ntilde</td>
				<td>lower tilde</td>
			</tr>

			<tr>
				<td>&Utilde;</td>
				<td>Utilde</td>
				<td>upper tilde</td>
			</tr>
		</tbody>

		<!-- Use to group table footer contents -->
		<tfoot>
			<tr>
				<th colspan="3">List of HTML entities</th>
			</tr>
		</tfoot>
	</table>

	<h2>HTML Forms</h2>
	<p><em>Input elements that make up a form</em></p>

	<!-- creates an HTML form to capture user inputs. -->
	<form action="https://google.com">


		<label for="full_name">Full Name:</label>
		<input type="text" name="full_name" id="full_name" placeholder="Full Name" required>

		<br><br>

		<label for="birth_date">Birth date:</label>
		<input type="date" name="birth_date" id="birth_date" required>

		<br><br>

		<label for="age">Age:</label>
		<input type="number" name="age" id="age" required>

		<br><br>

		<label for="gender">Gender</label>
		<select name="gender" id="gender">
			<option value="Male">Male</option>
			<option value="Female">Female</option>

		</select>

		<br><br>


		<!-- creates a button that will submit the form data -->
		<button type="submit">Submit</button>

		<button type="Reset">Reset</button>
		
	</form>

</body>
</html>